Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.dao
Class IncorrectResultSizeDataAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.DataRetrievalFailureException
                                  org.springframework.dao.IncorrectResultSizeDataAccessException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EmptyResultDataAccessException

    public class IncorrectResultSizeDataAccessException

extends DataRetrievalFailureException

Data access exception thrown when a result was not of the expected size, for example when expecting a single row but getting 0 or more than 1 rows.

Since:
  1.0.2
Author:
  Juergen Hoeller, Chris Beams
See Also:
  `EmptyResultDataAccessException`, Serialized Form

Constructor Summary
`IncorrectResultSizeDataAccessException(int expectedSize)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(int expectedSize, int actualSize)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(java.lang.String msg, int expectedSize)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(java.lang.String msg, int expectedSize, int actualSize)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(java.lang.String msg, int expectedSize, int actualSize, java.lang.Throwable ex)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(java.lang.String msg, int expectedSize, java.lang.Throwable ex)` Constructor for IncorrectResultSizeDataAccessException.

Method Summary
`int` | `getActualSize()` Return the actual result size (or -1 if unknown).
`int` | `getExpectedSize()` Return the expected result size.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(int expectedSize)

  Constructor for IncorrectResultSizeDataAccessException.

  Parameters:
    `expectedSize` - the expected result size

### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(int expectedSize,
                                                  int actualSize)

  Constructor for IncorrectResultSizeDataAccessException.

  Parameters:
    `expectedSize` - the expected result size
    `actualSize` - the actual result size (or -1 if unknown)

### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(java.lang.String msg,
                                                  int expectedSize)

  Constructor for IncorrectResultSizeDataAccessException.

  Parameters:
    `msg` - the detail message
    `expectedSize` - the expected result size

### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(java.lang.String msg,
                                                  int expectedSize,
                                                  java.lang.Throwable ex)

  Constructor for IncorrectResultSizeDataAccessException.

  Parameters:
    `msg` - the detail message
    `expectedSize` - the expected result size
    `ex` - the wrapped exception

### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(java.lang.String msg,
                                                  int expectedSize,
                                                  int actualSize)

  Constructor for IncorrectResultSizeDataAccessException.

  Parameters:
    `msg` - the detail message
    `expectedSize` - the expected result size
    `actualSize` - the actual result size (or -1 if unknown)

### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(java.lang.String msg,
                                                  int expectedSize,
                                                  int actualSize,
                                                  java.lang.Throwable ex)

  Constructor for IncorrectResultSizeDataAccessException.

  Parameters:
    `msg` - the detail message
    `expectedSize` - the expected result size
    `actualSize` - the actual result size (or -1 if unknown)
    `ex` - the wrapped exception

Method Detail

### getExpectedSize

    public int getExpectedSize()

  Return the expected result size.

### getActualSize

    public int getActualSize()

  Return the actual result size (or -1 if unknown).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD